<div ng-controller="indicatorsCampainListController as self" ng-init="self.init(<?= $this->object ? $this->object->getId() : 'null' ?>)">
    <table-builder options="self.options" items="self.indicators" class="table-builder col-lg-12">    
        <div class="row">
            <div class="col-sm-4">
                <div ng-controller="filterController as filter" ng-init="filter.init()" class="table-filters little-panel">
                    <div class="title" data-toggle="collapse" href="#filters-collapsed">
                        <?= $this->icon('filters', 'fa-fw') ?>
                        <?= $this->translate('filters') ?>
                    </div>
                    <div id="filters-collapsed" class="body collapse">
                        <?= $this->tableFilter('__tb.apiParams.search.data.filters', $this->indicatorFilters()); ?>
                        <div class="row">
                            <div class="col-xs-6">
                                <button class="btn" ng-click="self.resetfullTextSearch(); __tb.resetFilters(); __tb.loadData()">
                                    <?= $this->translate('table_filter_reset_button') ?></button>
                            </div>
                            <div class="col-xs-6 text-right">
                                <button class="btn" ng-click="self.resetfullTextSearch(); __tb.loadData()">
                                    <?= $this->icon('search', 'fa-fw') ?>
                                    <?= $this->translate('table_filter_button') ?>
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-4">
                <table-builder-columns></table-builder-columns>
            </div>
            <?php if ($this->acl()->isAllowed('application:e:query:r')) : ?>
            <div class="col-sm-4">
                <table-builder-queries></table-builder-queries>
            </div>
            <?php endif; ?>
        </div>

        <div class="row">
            
                <div class="row">
                    <div class="col-xs-12">
                        <table table-builder-table class="table table-bordered table-condensed table-hover">
                            <thead>
                                <tr>
                                    <th tb-column tb-name="selection" class="checkbox-column"><input type="checkbox" ng-model="__tb.selection"/></th>
                                    <th tb-column tb-name="id"    tb-sortable="true" tb-toggle="true"><?= $this->translate('indicator_field_id') ?></th>
                                    <th tb-column tb-name="name"    tb-sortable="true" tb-toggle="true"><?= $this->translate('indicator_field_name') ?></th>
                                    <th tb-column tb-name="uom"    tb-sortable="true" tb-toggle="true"><?= $this->translate('indicator_field_uom') ?></th>
                                    <th tb-column tb-name="type"   tb-sortable="true" tb-toggle="true"><?= $this->translate('indicator_field_type') ?></th>
                                    <?php if ($this->module()->getClientModuleConfiguration('user', 'service')) {
                                        echo '<th tb-column tb-name="services" tb-toggle="true" tb-sortable="false">' . $this->translate('indicator_field_services') . '</th>';
                                    }
                                    ?>
                                    <?php
                                        if ($this->module()->isActive('keyword')) {
                                            foreach ($this->allowedKeywordGroups('indicator', false) as $group) {
                                                echo '<th tb-column tb-name="keyword' . $group->getId() . '" tb-sortable="false" tb-toggle="true">' . $group->getName() . '</th>';
                                            }
                                        }
                                    ?>
                                    <th tb-column tb-name="createdAt"  tb-sortable="true" tb-toggle="true" tb-hidden="true"><?= $this->translate('indicator_field_createdAt') ?></th>
                                    <th tb-column tb-name="updatedAt"  tb-sortable="true" tb-toggle="true" tb-hidden="true"><?= $this->translate('indicator_field_updatedAt') ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr ng-repeat="indicator in self.indicators" ng-class="{editing: self.editedLine == indicator}">
                                    <td><input type="checkbox" ng-model="indicator.selected"/></td>
                                    <td>{{indicator.id}}</td>
                                    <td class="editable">
                                        <span ng-show="self.editedLine !== indicator">
                                            <a ng-if="indicator._rights.read" href="<?= $this->url('indicator/form') ?>/{{indicator.id}}">{{indicator.name}}</a>
                                            <span ng-if="!indicator._rights.read">{{indicator.name}}</span>

                                            <?= $this->icon('inline-edit', '', ['ng-click' => 'self.editLine(indicator)', 'ng-if' => 'indicator._rights.update']) ?>
                                        </span>
                                        <span ng-if="self.editedLine == indicator">
                                            <input type="text" class="form-control input-sm" ng-model="self.editedLineFields.name" required />
                                            <field-errors field="name" errors="self.editedLineErrors"></field-errors>
                                        </span>
                                    </td>
                                    <td class="editable">
                                        <span ng-show="self.editedLine !== indicator">
                                            {{indicator.uom}}
                                            <?= $this->icon('inline-edit', '', ['ng-click' => 'self.editLine(indicator)', 'ng-if' => 'indicator._rights.update']) ?>
                                        </span>
                                        <span ng-if="self.editedLine == indicator">
                                            <input type="text" class="form-control input-sm" ng-model="self.editedLineFields.uom" />
                                            <field-errors field="uom" errors="self.editedLineErrors"></field-errors>
                                        </span>
                                    </td>
                                    <td class="editable">
                                        <span ng-show="self.editedLine !== indicator">
                                            {{'indicator_type_' + indicator.type | translate}}
                                            <?= $this->icon('inline-edit', '', ['ng-click' => 'self.editLine(indicator)', 'ng-if' => 'indicator._rights.update']) ?>
                                        </span>
                                        <span ng-if="self.editedLine == indicator">
                                            <select class="form-control input-sm" required
                                                    ng-model="self.editedLineFields.type">
                                                <?php
                                                foreach (\Indicator\Entity\Indicator::getTypes() as $type) {
                                                    echo '<option value="' . $type . '">' . $this->translate('indicator_type_' . $type) . '</option>';
                                                }
                                                ?>
                                            </select>
                                            <field-errors field="type" errors="self.errors.fields"></field-errors>
                                        </span>
                                    </td>
                                    <?php if ($this->module()->getClientModuleConfiguration('user', 'service')) : ?>
                                        <td class="editable">
                                            <span class="comma-separated" ng-show="self.editedLine !== indicator">
                                                    <span ng-repeat="service in indicator.services">
                                                        <?php if ($this->acl()->isAllowed('user:e:service:r')) : ?>
                                                            <a href="<?= $this->url('service/form') ?>/{{service.id}}">{{service.name}}</a>
                                                        <?php else : ?>
                                                            {{service.name}}
                                                        <?php endif; ?>
                                                    </span>
                                                <?= $this->icon('inline-edit', '', ['ng-click' => 'self.editLine(indicator)', 'ng-if' => 'indicator._rights.update']) ?>
                                            </span>
                                            <span ng-if="self.editedLine == indicator">
                                                <service-select name="services" ng-model="self.editedLineFields.services"
                                                                multiple="true" form="indicatorForm"></service-select>
                                                <field-errors field="services" errors="self.errors.fields"></field-errors>
                                            </span>
                                        </td>
                                    <?php endif; ?>
                                    <?php
                                        if ($this->module()->isActive('keyword')) {
                                            foreach ($this->allowedKeywordGroups('indicator', false) as $group) {
                                                echo '<td class="editable">';
                                                    echo '<span class="comma-separated" ng-show="self.editedLine !== indicator">';
                                                        echo '<span ng-repeat="keyword in indicator.keywords[' . $group->getId() . ']">{{keyword.name}}</span>';
                                                        echo $this->icon('inline-edit', '', ['ng-click' => 'self.editLine(indicator)', 'ng-if' => 'indicator._rights.update']);
                                                    echo '</span>';
                                                    echo '<span ng-if="self.editedLine == indicator">';
                                                        echo '<keyword-select name="keywords' . $group->getId() . '" ng-model="self.editedLineFields.keywords[' . $group->getId() . ']" multiple="' . ($group->isMultiple() ? 'true' : 'false') . '" configuration="{ service : { apiParams : { search: { data: { filters: { group : { op: \'eq\', val: ' . $group->getId() . ' } } } } } } }" form="indicatorForm"></keyword-select>';
                                                    echo '</span>';
                                                echo '</td>';
                                            }
                                        }
                                    ?>
                                    <td>{{indicator.createdAt | dateFormat : 'DD/MM/YYYY'}}</td>
                                    <td>{{indicator.updatedAt | dateFormat : 'DD/MM/YYYY'}}</td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
        </div>
    </table-builder>
</div>

<?php
    $this->angular('js/src/indicator/service/indicator.js');
    $this->angular('js/src/indicator/directive/indicatorSelect.js');
?>
